Bug 965755 - CONFIGURE VOLUME GROUP doesn't close when Esc key is pressed
CONFIGURE VOLUME GROUP doesn't close when Esc key is pressed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-21 12:26 EDT by Jan Stodola
Modified: 2014-01-29 14:01 EST (History)
8 users (show)

See Also:
Fixed In Version: anaconda-19.30.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 14:01:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (80.75 KB, image/png)
2013-05-21 12:26 EDT, Jan Stodola
no flags Details
anaconda.log (14.47 KB, text/plain)
2013-05-21 12:27 EDT, Jan Stodola
no flags Details
program.log (13.88 KB, text/plain)
2013-05-21 12:27 EDT, Jan Stodola
no flags Details
storage.log (92.74 KB, text/plain)
2013-05-21 12:27 EDT, Jan Stodola
no flags Details
syslog (69.65 KB, text/plain)
2013-05-21 12:27 EDT, Jan Stodola
no flags Details
X.log (15.74 KB, text/plain)
2013-05-21 12:27 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2013-05-21 12:26:07 EDT
Description of problem:
CONFIGURE VOLUME GROUP dialog remains open when user presses the Esc key. Although it is visible, it is not possible to modify anything on it. It is possible to edit Manual partitioning spoke bellow it though.

Version-Release number of selected component (if applicable):
Fedora-19-Beta-RC2
anaconda-19.28-1

How reproducible:
always

Steps to Reproduce:
1. Start graphical installation
2. proceed to Manual partitioning
3. create some mount point on LVM
4. click on "Modify..." button to modify volume group
5. press the Esc key
 
Actual results:
CONFIGURE VOLUME GROUP dialog is still visible, but not editable and cannot be closed.

Expected results:
CONFIGURE VOLUME GROUP dialog closes.
Comment 1 Jan Stodola 2013-05-21 12:26:52 EDT
Created attachment 751278 [details]
screenshot
Comment 2 Jan Stodola 2013-05-21 12:27:11 EDT
Created attachment 751279 [details]
anaconda.log
Comment 3 Jan Stodola 2013-05-21 12:27:16 EDT
Created attachment 751280 [details]
program.log
Comment 4 Jan Stodola 2013-05-21 12:27:21 EDT
Created attachment 751281 [details]
storage.log
Comment 5 Jan Stodola 2013-05-21 12:27:26 EDT
Created attachment 751282 [details]
syslog
Comment 6 Jan Stodola 2013-05-21 12:27:31 EDT
Created attachment 751283 [details]
X.log
Comment 7 Adam Williamson 2013-05-29 22:29:07 EDT
This is in 19.30.1 too, which is now in updates-testing. Setting ON_QA.
Comment 8 Adam Williamson 2013-05-29 22:43:02 EDT
Verified fixed in 19.30.1-1.

Note You need to log in before you can comment on or make changes to this bug.